Subject: Re: [PATCH] gnu: ghc-9.2: Make Cabal respect GHC_PACKAGE_PATH

From: Sören Tempel <[email-masked]>
Date: Sat, 06 Jan 2024 16:07:05 +0100

Hi,

Lars-Dominik Braun <[email-masked]> wrote:
> sorry for the delay, I just tried your patch and it works well combining
> a local cabal project and libraries/GHC from Guix. I’d say this is a
> massive improvement, so I’d like to ship it with Guix. However this
> is a world rebuilding change, so I’ll push it to the haskell-team
> branch and probably wait for #67921 to be ready before it can hit master.

Yea, glad to hear that. Waiting for #67921 is fine by me. Should I also
prepare a patch for the GHC 9.4 package then? Currently this is only GHC
9.2.

> One minor issue: If you add a patch file, also add it to gnu/local.mk.

Oh, I wasn't aware. Thanks for pointing that out, will keep it in mind
for future patches!

> > However, given that Setup.hs also uses
> > Distribution.Simple and that there are several places in Guix itself
> > where we need to unset GHC_PACKAGE_PATH atm, I personally believe it
> > to be preferable to fix the vendored version.
> 
> Which locations are you referring to?

I just grep'ed for GHC_PACKAGE_PATH, e.g.:

* https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/virtualization.scm#n784
* https://git.savannah.gnu.org/cgit/guix.git/tree/guix/build/haskell-build-system.scm#n111
* https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/packages/haskell.scm#n963

Greetings
Sören